
function gotoPreviousWeek()
{
	if(previousDate != "" && tab == "new") {
		nowDate = previousDate;
		previousDate = "";
		nextDate = "";
		grabType = "left";
		updateContent();
	}
}

function gotoNextWeek()
{
	if(nextDate != "" && tab == "new") {
		nowDate = nextDate;
		previousDate = "";
		grabType = "right";
		nextDate = "";
		updateContent();
	}
}

var leftMouseState = 0;
function tabLeftMouseEnter()
{
	logFunc("tabLeftMouseEnter");
	
	leftMouseState |= 1;
	setLeftMouseState();
}
function tabLeftMouseExit()
{
	logFunc("tabLeftMouseExit");
	
	leftMouseState &= ~1;
	if(leftMouseState | 2)
		window.addEventListener('mouseup', tabLeftMouseUp, false);
	setLeftMouseState();
}
function tabLeftMouseDown()
{
	logFunc("tabLeftMouseDown");
	
	leftMouseState |= 2;
	setLeftMouseState();
}
function tabLeftMouseUp()
{
	logFunc("tabLeftMouseUp");
	
	window.removeEventListener('mouseup', tabLeftMouseUp, false);
	if(leftMouseState & 1 && leftMouseState & 2)
		gotoPreviousWeek();
	leftMouseState &= ~2;
	setLeftMouseState();
}
function setLeftMouseState()
{
	if(tab != "new") {
		disableLeft();
		return;
	}
	if(nextDate != "") {
		if(leftMouseState & 1) {
			if(leftMouseState & 2)
				clickLeft();
			else
				overLeft();
		} else {
			enableLeft();
		}
	}
}

function disableLeft()
{
	setDisplay("prevActive", "none");
	setDisplay("prevOver", "none");
	setDisplay("prevClick", "none");
}
function enableLeft()
{
	setDisplay("prevActive", "block");
	setDisplay("prevOver", "none");
	setDisplay("prevClick", "none");
}
function overLeft()
{
	setDisplay("prevActive", "none");
	setDisplay("prevOver", "block");
	setDisplay("prevClick", "none");
}
function clickLeft()
{
	setDisplay("prevActive", "none");
	setDisplay("prevOver", "none");
	setDisplay("prevClick", "block");
}










var rightMouseState = 0;
function tabRightMouseEnter()
{
	rightMouseState |= 1;
	setRightMouseState();
}
function tabRightMouseExit()
{
	rightMouseState &= ~1;
	if(rightMouseState | 2)
		window.addEventListener('mouseup', tabRightMouseUp, false);
	setRightMouseState();
}
function tabRightMouseDown()
{
	rightMouseState |= 2;
	setRightMouseState();
}
function tabRightMouseUp()
{
	window.removeEventListener('mouseup', tabRightMouseUp, false);
	if(rightMouseState & 1 && rightMouseState & 2)
		gotoNextWeek();
	rightMouseState &= ~2;
	setRightMouseState();
}
function setRightMouseState()
{
	if(tab != "new") {
		disableRight();
		return;
	}
	if(nextDate != "") {
		if(rightMouseState & 1) {
			if(rightMouseState & 2)
				clickRight();
			else
				overRight();
		} else {
			enableRight();
		}
	}
}

function disableRight()
{
	setDisplay("nextActive", "none");
	setDisplay("nextOver", "none");
	setDisplay("nextClick", "none");
}
function enableRight()
{
	setDisplay("nextActive", "block");
	setDisplay("nextOver", "none");
	setDisplay("nextClick", "none");
}
function overRight()
{
	setDisplay("nextActive", "none");
	setDisplay("nextOver", "block");
	setDisplay("nextClick", "none");
}
function clickRight()
{
	setDisplay("nextActive", "none");
	setDisplay("nextOver", "none");
	setDisplay("nextClick", "block");
}