
var grabTimer = 0, grabOpacity = 1;

function startGrab(type)
{
	gebi(type + "Arrow").style.display = "block";
	gebi("arrows").style.opacity = 1;
	gebi("arrows").style.display = "block";
	
	if(isOpera)
		setTimeout(recenterArrows, 0);
	else
		recenterArrows();
	
	grabOpacity = 1;
	
	if(!runGrabber) {
		runGrabber = true;
		grabTimerAnimator();
	}
}

function closeGrab()
{
	if(grabOpacity > .01) {
		grabOpacity -= (1 - grabOpacity) * .98 + 0.001;
		gebi("arrows").style.opacity = grabOpacity;
		grabTimer = setTimeout(closeGrab, 33);
		
	} else {
		grabTimer = 0;
		gebi("downArrow").style.display = "none";
		gebi("leftArrow").style.display = "none";
		gebi("rightArrow").style.display = "none";
		gebi("arrows").style.opacity = 1;
		gebi("arrows").style.display = "none";
		runGrabber = false;
	}
}

var movementGrabTimer = 0, grabIndex = 0, runGrabber = false;

function grabTimerAnimator()
{
	if(movementGrabTimer)
		clearTimeout(movementGrabTimer);
	movementGrabTimer = null;
	if(grabType == "down")
		gebi("downIcon").style.top = (grabIndex - 64) + "px";
	if(grabType == "left")
		gebi("leftIcon").style.left = (0 - grabIndex) + "px";
	if(grabType == "right")
		gebi("rightIcon").style.left = (grabIndex - 64) + "px";
	
	grabIndex = (grabIndex + 3) % 64;
	
	if(runGrabber)
		movementGrabTimer = setTimeout(grabTimerAnimator, 50);
	else
		movementGrabTimer = null;
}

function recenterArrows()
{
	//	if we are showing the arrows, reposition it in the center
	if(gebi("arrows").style.display == "block") {
		var style = document.defaultView.getComputedStyle(gebi("arrows"), '');
		gebi("arrowBound").style.top = (parseInt(style.getPropertyValue("height")) / 2 - 32) + "px";
		gebi("arrowBound").style.left = (parseInt(style.getPropertyValue("width")) / 2 - 32) + "px";
	}
}
